<ng-container *ngIf="($customFields | async) as customFields">
    <table #matTable mat-table [dataSource]="customFields" class="mat-elevation-z8">

        <ng-container matColumnDef="label">
            <th mat-header-cell *matHeaderCellDef [style.width.%]="50">
                Label
            </th>
            <td mat-cell *matCellDef="let customField">
                <app-content-editable [value]="customField.label" (save)="save(customField, 'label',$event)">
                   <span class="full-width">{{customField.label}}</span>
                </app-content-editable>
            </td>
        </ng-container>

        <ng-container matColumnDef="type">
            <th mat-header-cell *matHeaderCellDef  [style.width.%]="15">
                Type
            </th>
            <td mat-cell *matCellDef="let customField">

                <app-content-editable
                    [value]="customField.type"
                    [type]="'select'"
                    [selectOptions]="typeOption"
                    (save)="save(customField, 'type',$event)">
                    <span class="full-width">{{customField.type}}</span>
                </app-content-editable>
            </td>
        </ng-container>

        <ng-container matColumnDef="defaultValue">
            <th mat-header-cell *matHeaderCellDef  [style.width.%]="15">
                Default value
            </th>
            <td mat-cell *matCellDef="let customField">
                <app-content-editable
                    [value]="customField.defaultValue"
                    [type]="customField.type"
                    (save)="save(customField, 'defaultValue',$event)">
                    <span class="full-width">{{customField.defaultValue || 'no-value'}}</span>
                </app-content-editable>
            </td>
        </ng-container>

        <ng-container matColumnDef="visibility">
            <th mat-header-cell *matHeaderCellDef  [style.width.%]="10">
                Visibilité
            </th>
            <td mat-cell *matCellDef="let customField">
                <app-content-editable
                    [value]="customField.visibility"
                    [type]="'boolean'"
                    (save)="save(customField, 'visibility',$event)">
                    <span class="full-width">{{customField.visibility}}</span>
                </app-content-editable>
            </td>
        </ng-container>

        <ng-container matColumnDef="actions">
            <th mat-header-cell *matHeaderCellDef  [style.width.%]="10">
                <mat-icon (click)="create()" class="clickable">add_circle_outlined</mat-icon>
            </th>
            <td mat-cell *matCellDef="let customField">
                <mat-icon (click)="remove(customField)" class="clickable">delete</mat-icon>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
</ng-container>
